org.jbpm.process.builder.dialect.mvel

## Class MVELReturnValueEvaluatorBuilder

- java.lang.Object
- - org.jbpm.process.builder.dialect.mvel.AbstractMVELBuilder
  - - org.jbpm.process.builder.dialect.mvel.MVELReturnValueEvaluatorBuilder

- All Implemented Interfaces:
    ReturnValueEvaluatorBuilder

      public class MVELReturnValueEvaluatorBuilder
      extends AbstractMVELBuilder
      implements ReturnValueEvaluatorBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVELReturnValueEvaluatorBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, ReturnValueConstraintEvaluator constraintNode, org.drools.compiler.compiler.ReturnValueDescr descr, ContextResolver contextResolver)`
    `void` | `buildReturnValueEvaluator(org.drools.compiler.rule.builder.PackageBuildContext context, ReturnValueConstraintEvaluator constraintNode, org.drools.compiler.compiler.ReturnValueDescr descr, ContextResolver contextResolver, org.drools.compiler.rule.builder.dialect.mvel.MVELDialect dialect, org.drools.compiler.rule.builder.dialect.mvel.MVELAnalysisResult analysis, String text, Map<String,Class<?>> variables)`

    - ### Methods inherited from class org.jbpm.process.builder.dialect.mvel.AbstractMVELBuilder

      `collectTypes, delimitExpressions, getAnalysis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MVELReturnValueEvaluatorBuilder

          public MVELReturnValueEvaluatorBuilder()

  - ### Method Detail

    - #### build

          public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                            ReturnValueConstraintEvaluator constraintNode,
                            org.drools.compiler.compiler.ReturnValueDescr descr,
                            ContextResolver contextResolver)

      Specified by:
        `build` in interface `ReturnValueEvaluatorBuilder`

    - #### buildReturnValueEvaluator

          public void buildReturnValueEvaluator(org.drools.compiler.rule.builder.PackageBuildContext context,
                                                ReturnValueConstraintEvaluator constraintNode,
                                                org.drools.compiler.compiler.ReturnValueDescr descr,
                                                ContextResolver contextResolver,
                                                org.drools.compiler.rule.builder.dialect.mvel.MVELDialect dialect,
                                                org.drools.compiler.rule.builder.dialect.mvel.MVELAnalysisResult analysis,
                                                String text,
                                                Map<String,Class<?>> variables)
                                         throws Exception

      Throws:
        `Exception`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.